import { SimpleLocalIntegration } from '../../core/index.js';
import { AdaxConfigFlow } from './adax.classes.configflow.js';
import { createAdaxDiscoveryDescriptor } from './adax.discovery.js';
import type { IAdaxConfig } from './adax.types.js';
import { adaxDomain, adaxProfile } from './adax.types.js';

export class AdaxIntegration extends SimpleLocalIntegration<IAdaxConfig> {
  public readonly domain = adaxDomain;
  public readonly discoveryDescriptor = createAdaxDiscoveryDescriptor();
  public readonly configFlow = new AdaxConfigFlow();

  constructor() {
    super(adaxProfile);
  }
}

export class HomeAssistantAdaxIntegration extends AdaxIntegration {}
